package org.project.item.consumables;

import org.project.entity.Entity;

public class Flask extends Consumable {

    public Flask() {
        // سازنده پیش‌فرض برای ساخت فلاسک هیل
    }

    @Override
    public void use(Entity target) {
        if (target != null) {
            // هیل کردن هدف به اندازه یک دهم (۱۰ درصد) از سقف خون او
            target.heal(target.getMaxHP() / 10);
        }
    }
}